Subject: Re: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Peter Dyballa <[email-masked]>
Date: Fri, 13 Jun 2025 00:23:23 +0200

> Am 13.06.2025 um 00:14 schrieb Paul Eggert <[email-masked]>:
> 
> On 2025-06-12 03:29, Peter Dyballa wrote:
>> (gdb) p base
>> $2 = 0x0
> 
> That's obviously wrong; 'base' should not be a null pointer. Can you track down why it is a null pointer?

Yes. I thought so already, therefore I let its value print again (first argument of output_1_line's call is base).

--

Mit friedvollen Grüßen

  Pete

"If I can't dance to it, it's not my revolution.“
				– A t-shirt designed by Jack Frager